Package com.io7m.idstore.server.api

# Enum Class IdServerOpenTelemetryConfiguration.IdOTLPProtocol

java.lang.Object
java.lang.Enum<IdServerOpenTelemetryConfiguration.IdOTLPProtocol>
com.io7m.idstore.server.api.IdServerOpenTelemetryConfiguration.IdOTLPProtocol

All Implemented Interfaces:
  `Serializable`, `Comparable<IdServerOpenTelemetryConfiguration.IdOTLPProtocol>`, `Constable`

Enclosing class:
  `IdServerOpenTelemetryConfiguration`

public static enum IdServerOpenTelemetryConfiguration.IdOTLPProtocol extends Enum<IdServerOpenTelemetryConfiguration.IdOTLPProtocol>
The protocol used to deliver OpenTelemetry data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRPC`
  gRPC
  `HTTP`
  HTTP(s)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdServerOpenTelemetryConfiguration.IdOTLPProtocol`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdServerOpenTelemetryConfiguration.IdOTLPProtocol[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GRPC

    public static final IdServerOpenTelemetryConfiguration.IdOTLPProtocol GRPC
    gRPC

  - ### HTTP

    public static final IdServerOpenTelemetryConfiguration.IdOTLPProtocol HTTP
    HTTP(s)

- ## Method Details

  - ### values

    public static IdServerOpenTelemetryConfiguration.IdOTLPProtocol[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdServerOpenTelemetryConfiguration.IdOTLPProtocol valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null